# azure.mgmt.hdinsight.operations module

class `azure.mgmt.hdinsight.operations.``ClustersOperations`(client, config, serializer, deserializer)

  Bases: `object`

  ClustersOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables:

  - api_version – The HDInsight client API Version. Constant value: “2018-06-01-preview”.
  - role_name – The constant value for the roleName. Constant value: “workernode”.

  `create`(resource_group_name, cluster_name, parameters, custom_headers=None, raw=False, polling=True, **operation_config)

    Creates a new HDInsight cluster with the specified parameters.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - cluster_name (str) – The name of the cluster.
    - parameters (ClusterCreateParametersExtended) – The cluster create request.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns Cluster or ClientRawResponse<Cluster> if raw==True
    Return type: | AzureOperationPoller[Cluster] or AzureOperationPoller[ClientRawResponse[Cluster]]
    Raises: | `ErrorResponseException`

  `delete`(resource_group_name, cluster_name, custom_headers=None, raw=False, polling=True, **operation_config)

    Deletes the specified HDInsight cluster.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - cluster_name (str) – The name of the cluster.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `ErrorResponseException`

  `execute_script_actions`(resource_group_name, cluster_name, persist_on_success, script_actions=None, custom_headers=None, raw=False, polling=True, **operation_config)

    Executes script actions on the specified HDInsight cluster.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - cluster_name (str) – The name of the cluster.
    - persist_on_success (bool) – Gets or sets if the scripts needs to be persisted.
    - script_actions (list[RuntimeScriptAction]) – The list of run time script actions.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `ErrorResponseException`

  `get`(resource_group_name, cluster_name, custom_headers=None, raw=False, **operation_config)

    Gets the specified cluster.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - cluster_name (str) – The name of the cluster.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | Cluster or ClientRawResponse if raw=true
    Return type: | Cluster or ClientRawResponse
    Raises: | `ErrorResponseException`

  `get_gateway_settings`(resource_group_name, cluster_name, custom_headers=None, raw=False, **operation_config)

    Gets the gateway settings for the specified cluster.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - cluster_name (str) – The name of the cluster.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | GatewaySettings or ClientRawResponse if raw=true
    Return type: | GatewaySettings or ClientRawResponse
    Raises: | `ErrorResponseException`

  `list`(custom_headers=None, raw=False, **operation_config)

    Lists all the HDInsight clusters under the subscription.

    Parameters:

    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of Cluster
    Return type: | ClusterPaged[Cluster]
    Raises: | `ErrorResponseException`

  `list_by_resource_group`(resource_group_name, custom_headers=None, raw=False, **operation_config)

    Lists the HDInsight clusters in a resource group.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of Cluster
    Return type: | ClusterPaged[Cluster]
    Raises: | `ErrorResponseException`

  `resize`(resource_group_name, cluster_name, target_instance_count=None, custom_headers=None, raw=False, polling=True, **operation_config)

    Resizes the specified HDInsight cluster to the specified size.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - cluster_name (str) – The name of the cluster.
    - target_instance_count (int) – The target instance count for the operation.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `ErrorResponseException`

  `rotate_disk_encryption_key`(resource_group_name, cluster_name, parameters, custom_headers=None, raw=False, polling=True, **operation_config)

    Rotate disk encryption key of the specified HDInsight cluster.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - cluster_name (str) – The name of the cluster.
    - parameters (ClusterDiskEncryptionParameters) – The parameters for the disk encryption operation.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `ErrorResponseException`

  `update`(resource_group_name, cluster_name, tags=None, custom_headers=None, raw=False, **operation_config)

    Patch HDInsight cluster with the specified parameters.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - cluster_name (str) – The name of the cluster.
    - tags (dict[str, str]) – The resource tags.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | Cluster or ClientRawResponse if raw=true
    Return type: | Cluster or ClientRawResponse
    Raises: | `ErrorResponseException`

  `update_gateway_settings`(resource_group_name, cluster_name, parameters, custom_headers=None, raw=False, polling=True, **operation_config)

    Configures the gateway settings on the specified cluster.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - cluster_name (str) – The name of the cluster.
    - parameters (UpdateGatewaySettingsParameters) – The cluster configurations.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `ErrorResponseException`

  `models` = <module 'azure.mgmt.hdinsight.models' from '/usr/lib/python3/dist-packages/azure/mgmt/hdinsight/models/__init__.py'>

class `azure.mgmt.hdinsight.operations.``ApplicationsOperations`(client, config, serializer, deserializer)

  Bases: `object`

  ApplicationsOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – The HDInsight client API Version. Constant value: “2018-06-01-preview”.

  `create`(resource_group_name, cluster_name, application_name, parameters, custom_headers=None, raw=False, polling=True, **operation_config)

    Creates applications for the HDInsight cluster.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - cluster_name (str) – The name of the cluster.
    - application_name (str) – The constant value for the application name.
    - parameters (Application) – The application create request.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns Application or ClientRawResponse<Application> if raw==True
    Return type: | AzureOperationPoller[Application] or AzureOperationPoller[ClientRawResponse[Application]]
    Raises: | `ErrorResponseException`

  `delete`(resource_group_name, cluster_name, application_name, custom_headers=None, raw=False, polling=True, **operation_config)

    Deletes the specified application on the HDInsight cluster.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - cluster_name (str) – The name of the cluster.
    - application_name (str) – The constant value for the application name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `ErrorResponseException`

  `get`(resource_group_name, cluster_name, application_name, custom_headers=None, raw=False, **operation_config)

    Gets properties of the specified application.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - cluster_name (str) – The name of the cluster.
    - application_name (str) – The constant value for the application name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | Application or ClientRawResponse if raw=true
    Return type: | Application or ClientRawResponse
    Raises: | `ErrorResponseException`

  `list_by_cluster`(resource_group_name, cluster_name, custom_headers=None, raw=False, **operation_config)

    Lists all of the applications for the HDInsight cluster.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - cluster_name (str) – The name of the cluster.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of Application
    Return type: | ApplicationPaged[Application]
    Raises: | `ErrorResponseException`

  `models` = <module 'azure.mgmt.hdinsight.models' from '/usr/lib/python3/dist-packages/azure/mgmt/hdinsight/models/__init__.py'>

class `azure.mgmt.hdinsight.operations.``LocationsOperations`(client, config, serializer, deserializer)

  Bases: `object`

  LocationsOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – The HDInsight client API Version. Constant value: “2018-06-01-preview”.

  `get_capabilities`(location, custom_headers=None, raw=False, **operation_config)

    Gets the capabilities for the specified location.

    Parameters:

    - location (str) – The Azure location (region) for which to make the request.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | CapabilitiesResult or ClientRawResponse if raw=true
    Return type: | CapabilitiesResult or ClientRawResponse
    Raises: | `ErrorResponseException`

  `list_billing_specs`(location, custom_headers=None, raw=False, **operation_config)

    Lists the billingSpecs for the specified subscription and location.

    Parameters:

    - location (str) – The Azure location (region) for which to make the request.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | BillingResponseListResult or ClientRawResponse if raw=true
    Return type: | BillingResponseListResult or ClientRawResponse
    Raises: | `ErrorResponseException`

  `list_usages`(location, custom_headers=None, raw=False, **operation_config)

    Lists the usages for the specified location.

    Parameters:

    - location (str) – The Azure location (region) for which to make the request.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | UsagesListResult or ClientRawResponse if raw=true
    Return type: | UsagesListResult or ClientRawResponse
    Raises: | `ErrorResponseException`

  `models` = <module 'azure.mgmt.hdinsight.models' from '/usr/lib/python3/dist-packages/azure/mgmt/hdinsight/models/__init__.py'>

class `azure.mgmt.hdinsight.operations.``ConfigurationsOperations`(client, config, serializer, deserializer)

  Bases: `object`

  ConfigurationsOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – The HDInsight client API Version. Constant value: “2018-06-01-preview”.

  `get`(resource_group_name, cluster_name, configuration_name, custom_headers=None, raw=False, **operation_config)

    The configuration object for the specified cluster. This API is not recommended and might be removed in the future. Please consider using List configurations API instead.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - cluster_name (str) – The name of the cluster.
    - configuration_name (str) – The name of the cluster configuration.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | dict or ClientRawResponse if raw=true
    Return type: | dict[str, str] or ClientRawResponse
    Raises: | `ErrorResponseException`

  `list`(resource_group_name, cluster_name, custom_headers=None, raw=False, **operation_config)

    Gets all configuration information for an HDI cluster.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - cluster_name (str) – The name of the cluster.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | ClusterConfigurations or ClientRawResponse if raw=true
    Return type: | ClusterConfigurations or ClientRawResponse
    Raises: | `ErrorResponseException`

  `update`(resource_group_name, cluster_name, configuration_name, parameters, custom_headers=None, raw=False, polling=True, **operation_config)

    Configures the HTTP settings on the specified cluster. This API is deprecated, please use UpdateGatewaySettings in cluster endpoint instead.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - cluster_name (str) – The name of the cluster.
    - configuration_name (str) – The name of the cluster configuration.
    - parameters (dict[str, str]) – The cluster configurations.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `ErrorResponseException`

  `models` = <module 'azure.mgmt.hdinsight.models' from '/usr/lib/python3/dist-packages/azure/mgmt/hdinsight/models/__init__.py'>

class `azure.mgmt.hdinsight.operations.``ExtensionsOperations`(client, config, serializer, deserializer)

  Bases: `object`

  ExtensionsOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – The HDInsight client API Version. Constant value: “2018-06-01-preview”.

  `create`(resource_group_name, cluster_name, extension_name, workspace_id=None, primary_key=None, custom_headers=None, raw=False, polling=True, **operation_config)

    Creates an HDInsight cluster extension.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - cluster_name (str) – The name of the cluster.
    - extension_name (str) – The name of the cluster extension.
    - workspace_id (str) – The workspace ID for the cluster monitoring extension.
    - primary_key (str) – The certificate for the cluster monitoring extensions.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `ErrorResponseException`

  `delete`(resource_group_name, cluster_name, extension_name, custom_headers=None, raw=False, polling=True, **operation_config)

    Deletes the specified extension for HDInsight cluster.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - cluster_name (str) – The name of the cluster.
    - extension_name (str) – The name of the cluster extension.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `ErrorResponseException`

  `disable_monitoring`(resource_group_name, cluster_name, custom_headers=None, raw=False, polling=True, **operation_config)

    Disables the Operations Management Suite (OMS) on the HDInsight cluster.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - cluster_name (str) – The name of the cluster.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `ErrorResponseException`

  `enable_monitoring`(resource_group_name, cluster_name, workspace_id=None, primary_key=None, custom_headers=None, raw=False, polling=True, **operation_config)

    Enables the Operations Management Suite (OMS) on the HDInsight cluster.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - cluster_name (str) – The name of the cluster.
    - workspace_id (str) – The Operations Management Suite (OMS) workspace ID.
    - primary_key (str) – The Operations Management Suite (OMS) workspace key.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `ErrorResponseException`

  `get`(resource_group_name, cluster_name, extension_name, custom_headers=None, raw=False, **operation_config)

    Gets the extension properties for the specified HDInsight cluster extension.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - cluster_name (str) – The name of the cluster.
    - extension_name (str) – The name of the cluster extension.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | Extension or ClientRawResponse if raw=true
    Return type: | Extension or ClientRawResponse
    Raises: | `ErrorResponseException`

  `get_monitoring_status`(resource_group_name, cluster_name, custom_headers=None, raw=False, **operation_config)

    Gets the status of Operations Management Suite (OMS) on the HDInsight cluster.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - cluster_name (str) – The name of the cluster.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | ClusterMonitoringResponse or ClientRawResponse if raw=true
    Return type: | ClusterMonitoringResponse or ClientRawResponse
    Raises: | `ErrorResponseException`

  `models` = <module 'azure.mgmt.hdinsight.models' from '/usr/lib/python3/dist-packages/azure/mgmt/hdinsight/models/__init__.py'>

class `azure.mgmt.hdinsight.operations.``ScriptActionsOperations`(client, config, serializer, deserializer)

  Bases: `object`

  ScriptActionsOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – The HDInsight client API Version. Constant value: “2018-06-01-preview”.

  `delete`(resource_group_name, cluster_name, script_name, custom_headers=None, raw=False, **operation_config)

    Deletes a specified persisted script action of the cluster.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - cluster_name (str) – The name of the cluster.
    - script_name (str) – The name of the script.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | None or ClientRawResponse if raw=true
    Return type: | None or ClientRawResponse
    Raises: | `ErrorResponseException`

  `get_execution_detail`(resource_group_name, cluster_name, script_execution_id, custom_headers=None, raw=False, **operation_config)

    Gets the script execution detail for the given script execution ID.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - cluster_name (str) – The name of the cluster.
    - script_execution_id (str) – The script execution Id
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | RuntimeScriptActionDetail or ClientRawResponse if raw=true
    Return type: | RuntimeScriptActionDetail or ClientRawResponse
    Raises: | `ErrorResponseException`

  `list_by_cluster`(resource_group_name, cluster_name, custom_headers=None, raw=False, **operation_config)

    Lists all the persisted script actions for the specified cluster.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - cluster_name (str) – The name of the cluster.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of RuntimeScriptActionDetail
    Return type: | RuntimeScriptActionDetailPaged[RuntimeScriptActionDetail]
    Raises: | `ErrorResponseException`

  `models` = <module 'azure.mgmt.hdinsight.models' from '/usr/lib/python3/dist-packages/azure/mgmt/hdinsight/models/__init__.py'>

class `azure.mgmt.hdinsight.operations.``ScriptExecutionHistoryOperations`(client, config, serializer, deserializer)

  Bases: `object`

  ScriptExecutionHistoryOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – The HDInsight client API Version. Constant value: “2018-06-01-preview”.

  `list_by_cluster`(resource_group_name, cluster_name, custom_headers=None, raw=False, **operation_config)

    Lists all scripts’ execution history for the specified cluster.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - cluster_name (str) – The name of the cluster.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of RuntimeScriptActionDetail
    Return type: | RuntimeScriptActionDetailPaged[RuntimeScriptActionDetail]
    Raises: | `ErrorResponseException`

  `promote`(resource_group_name, cluster_name, script_execution_id, custom_headers=None, raw=False, **operation_config)

    Promotes the specified ad-hoc script execution to a persisted script.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - cluster_name (str) – The name of the cluster.
    - script_execution_id (str) – The script execution Id
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | None or ClientRawResponse if raw=true
    Return type: | None or ClientRawResponse
    Raises: | `ErrorResponseException`

  `models` = <module 'azure.mgmt.hdinsight.models' from '/usr/lib/python3/dist-packages/azure/mgmt/hdinsight/models/__init__.py'>

class `azure.mgmt.hdinsight.operations.``Operations`(client, config, serializer, deserializer)

  Bases: `object`

  Operations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – The HDInsight client API Version. Constant value: “2018-06-01-preview”.

  `list`(custom_headers=None, raw=False, **operation_config)

    Lists all of the available HDInsight REST API operations.

    Parameters:

    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of Operation
    Return type: | OperationPaged[Operation]
    Raises: | `ErrorResponseException`

  `models` = <module 'azure.mgmt.hdinsight.models' from '/usr/lib/python3/dist-packages/azure/mgmt/hdinsight/models/__init__.py'>